As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 868184 - OdinMonkey: enable by default on beta/release
: OdinMonkey: enable by default on beta/release
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla23
Assigned To: Luke Wagner [:luke]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on: 840282
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 14:28 PDT by Luke Wagner [:luke]
Modified: 2013-07-09 04:58 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
+
verified
22+


Attachments
patch (4.42 KB, patch)
2013-05-02 14:28 PDT, Luke Wagner [:luke]
vladimir: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description User image Luke Wagner [:luke] 2013-05-02 14:28:19 PDT
Created attachment 744822 [details] [diff] [review]
patch

At this point, we expect the asm.js subset to only grow over time.  Bug fallout has also been minor and well in line with regular JS engine development.  Thus, there isn't a good reason to leave OdinMonkey turned off in Beta/Release and there are several reasons to turn it on by default (viz., http://www.unrealengine.com/html5).  Lastly, the patch removes the "experimental_" prefix of "javascript.options.experimental_asmjs" since the pref is now on by default.
Comment 2 User image Luke Wagner [:luke] 2013-05-07 14:14:04 PDT
Comment on attachment 744822 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 840282
User impact if declined: asm.js optimizations won't be enabled on beta/release
Testing completed (on m-c, etc.): m-c
Risk to taking this patch (and alternatives if risky): low
Comment 3 User image Ryan VanderMeulen [:RyanVM] 2013-05-07 19:29:10 PDT
https://hg.mozilla.org/mozilla-central/rev/d4ac16cbea47
Comment 4 User image Lukas Blakk [:lsblakk] use ?needinfo 2013-05-08 12:25:26 PDT
Can you provide tips on a test plan QA can use & add to automated tests in order to keep on top of potential regressions from enabling this new feature?
Comment 5 User image Luke Wagner [:luke] 2013-05-08 12:30:09 PDT
(In reply to lsblakk@mozilla.com from comment #4)
Automated tests are already in the tree (js/src/jit-tests/tests/asm.js).
Comment 6 User image Ryan VanderMeulen [:RyanVM] 2013-05-08 13:16:35 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/957075eb2de1
Comment 7 User image Alex Keybl [:akeybl] 2013-05-16 09:10:38 PDT
Noted in FF22 as "asm.js optimizations (<a href="https://blog.mozilla.org/luke/2013/03/21/asm-js-in-firefox-nightly/">OdinMonkey</a>) enabled for major performance improvements"

Please email me if you'd like to help in reworking that note.
Comment 8 User image Simona B [:simonab ] 2013-07-02 07:25:21 PDT
Is there any need for manual testing on this (I see in comment 5 that automated test are already in the tree)?

I can confirm that the preference javascript.options.asmjs is enabled by default on Firefox 23 beta 2. But Firefox closes and I get the following message in the terminal "Aborted (core dumped)" when loading http://www.unrealengine.com/html5.

Does anyone have any idea why this is happening?
Comment 9 User image Vladimir Vukicevic [:vlad] [:vladv] 2013-07-02 08:43:18 PDT
Can you file a separate bug on that, and include OS and other support info?
Comment 10 User image Jeff Walden [:Waldo] (remove +bmo to email) 2013-07-02 09:08:50 PDT
Note that the asm.js syntactic rules have been changing over the last several weeks in response to various bug reports and such, so it's not necessarily the case that something that passes as asm.js now (or at first landing) passed (or will pass now) as asm.js.  I do believe some care has been taken to keep the Unreal demo working, but at some point it wouldn't surprise me if some asm.js change means that that demo has to be regenerated with a newer version of Emscripten to preserve its performance gains.

Anyway, just a warning that it's not *necessarily* the case that an observed performance regression on a page that uses asm.js is a definite bug.
Comment 11 User image Luke Wagner [:luke] 2013-07-02 09:25:00 PDT
(In reply to Jeff Walden [:Waldo] (remove +bmo to email) from comment #10)
Indeed, care was taken; Unreal, BananaBread, and all the other demos should work on all release channels of Firefox atm.
Comment 12 User image Simona B [:simonab ] 2013-07-03 06:23:43 PDT
(In reply to Vladimir Vukicevic [:vlad] [:vladv] from comment #9)
> Can you file a separate bug on that, and include OS and other support info?

Filed bug 889802.
Comment 13 User image Mihai Morar, (:MihaiMorar) 2013-07-09 04:56:09 PDT
Verified that the pref is enabled by default on all OS's on FF 22 and FF 23b4. As long Simona has filed a new bug for that crash on Ubuntu, I'm marking this bug as Verified

Note You need to log in before you can comment on or make changes to this bug.